Subject: [bug#72994] [PATCH] gnu: emacs-julia-snail: Vendor julia libraries.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 17 Sep 2024 19:19:04 +0200

Hi Danny,

Am Montag, dem 16.09.2024 um 20:01 +0200 schrieb
[email-masked]:
> The idea of this patch is that emacs will automatically set up
> whatever it needs to in order to make the REPL work (including the
> finding of the boundaries of the current expression that the emacs
> package needs for "send expression at point to REPL")  without weird
> dependencies bleeding explicitly into the user profile or into the
> local directory's manifest.
You could write a meta package à la "julia stuff for emacs-julia-snail"
and mention that in the description, no?  I think bundling (or
propagating) these dependencies from the package is likely not going to
do us favours in weird edge cases where you actually want more julia
packages, e.g. in the julia package that you may or may not be hacking
on, which has other dependencies :)

Cheers